libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
libcamera::ipa::ipu3::IPAContext Struct Reference

Global IPA context data shared between all algorithms. More...

Collaboration diagram for libcamera::ipa::ipu3::IPAContext:
[legend]

## Public Member Functions
| IPAContext (unsigned int frameContextSize)
| Initialize the instance with the given number of frame contexts.

## Public Attributes
IPASessionConfiguration | configuration
| The IPA session configuration, immutable during the session.
IPAActiveState | activeState
| The current state of IPA algorithms.
FCQueue< IPAFrameContext > | frameContexts
| Ring buffer of the IPAFrameContext(s)
ControlInfoMap::Map | ctrlMap
| A ControlInfoMap::Map of controls populated by the algorithms.

## Detailed Description

Global IPA context data shared between all algorithms.

## Constructor & Destructor Documentation

## ◆ IPAContext()

libcamera::ipa::ipu3::IPAContext::IPAContext | ( | unsigned int | frameContextSize | ) |
| inline

Initialize the instance with the given number of frame contexts.

Parameters

  [in] | frameContextSize | Size of the frame context ring buffer

The documentation for this struct was generated from the following files:

- src/ipa/ipu3/ipa_context.h
- src/ipa/ipu3/ipa_context.cpp